## org.hibernate.mapping
Interface ValueVisitor

    public interface ValueVisitor

Method Summary
`Object` `accept(Any any)`
`Object` `accept(Array list)`
`Object` `accept(Bag bag)`
`Object` `accept(Component component)`
`Object` `accept(DependantValue value)`
`Object` `accept(IdentifierBag bag)`
`Object` `accept(List list)`
`Object` `accept(ManyToOne mto)`
`Object` `accept(Map map)`
`Object` `accept(OneToMany many)`
`Object` `accept(OneToOne oto)`
`Object` `accept(PrimitiveArray primitiveArray)`
`Object` `accept(Set set)`
`Object` `accept(SimpleValue value)`

Method Detail

### accept

    Object accept(Bag bag)

  Parameters:
    `bag` -

### accept

    Object accept(IdentifierBag bag)

  Parameters:
    `bag` -

### accept

    Object accept(List list)

  Parameters:
    `list` -

### accept

    Object accept(PrimitiveArray primitiveArray)

### accept

    Object accept(Array list)

### accept

    Object accept(Map map)

  Parameters:
    `map` -

### accept

    Object accept(OneToMany many)

  Parameters:
    `many` -

### accept

    Object accept(Set set)

  Parameters:
    `set` -

### accept

    Object accept(Any any)

  Parameters:
    `any` -

### accept

    Object accept(SimpleValue value)

  Parameters:
    `value` -

### accept

    Object accept(DependantValue value)

### accept

    Object accept(Component component)

### accept

    Object accept(ManyToOne mto)

### accept

    Object accept(OneToOne oto)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.